flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: users Digest 2 Oct 2013 20:54:12 -0000 Issue 286
Date Thu, 03 Oct 2013 02:57:16 GMT


On 10/2/13 7:46 PM, "OmPrakash Muppirala" <bigosmallm@gmail.com> wrote:

>On Wednesday, October 2, 2013, Fuad Kamal wrote:
>
>> If we are using a fresh build of OSMF in our flex projects, is it
>> necessary to delete the OSMF swc from the Apache Flex framework
>> (/frameworks/libs/osmf.swf), or will the compiler be smart enough to
>>know
>> to prefer the OSMF swc in the project libs folder over the one in the
>>SDK?
>>  Any particular reason why the latest SDK uses such an old build of OSMF
>> (pre-dating multicast capabilities)?
>
>
>
>I  don't think  there is any particular reason.   We should be able to
> bump up the  downloaded osmf  version.
Fuad, the reason is that it is the version Adobe certified with Adobe Flex
4.6.  Upgrading to the newer one may result in unexpected results.  If you
can help us out by testing the newer version, then that might help us
determine that it is safe to make that the new default.

The compiler should pick up both SWCs and use the time stamps in the
catalog.xml in the SWC and choose the newer one.  There is a chance that
an old version was re-compiled more recently than a new version in order
to slipstream some bug fix or if you built it yourself from sources.  But
usually it works as expected.

-Alex


Mime
View raw message